# Class BeanContextMembershipEvent

java.lang.Object
java.util.EventObject
java.beans.beancontext.BeanContextEvent
java.beans.beancontext.BeanContextMembershipEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="23", forRemoval=true) public class BeanContextMembershipEvent extends BeanContextEvent
Deprecated, for removal: This API element is subject to removal in a future version.
A `BeanContextMembershipEvent` encapsulates the list of children added to, or removed from, the membership of a particular `BeanContext`. An instance of this event is fired whenever a successful add(), remove(), retainAll(), removeAll(), or clear() is invoked on a given `BeanContext` instance. Objects interested in receiving events of this type must implement the `BeanContextMembershipListener` interface, and must register their intent via the `BeanContext`'s `addBeanContextMembershipListener(BeanContextMembershipListener bcml)` method.

Since:
  1.2
See Also:
  - `BeanContext`
  - `BeanContextEvent`
  - `BeanContextMembershipListener`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Collection`
`children`
Deprecated, for removal: This API element is subject to removal in a future version.
The list of children affected by this event notification.

### Fields declared in class BeanContextEvent

`propagatedFrom`
Modifier and Type
Field
Description
`protected BeanContext`
`propagatedFrom`
Deprecated, for removal: This API element is subject to removal in a future version.
The `BeanContext` from which this event was propagated

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`BeanContextMembershipEvent(BeanContext bc, Object[] changes)`
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a BeanContextMembershipEvent
`BeanContextMembershipEvent(BeanContext bc, Collection changes)`
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a BeanContextMembershipEvent

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(Object child)`
Deprecated, for removal: This API element is subject to removal in a future version.
Is the child specified affected by the event?
`Iterator`
`iterator()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the array of children affected by this event.
`int`
`size()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the number of children affected by the notification.
`Object[]`
`toArray()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the array of children affected by this event.

### Methods declared in class BeanContextEvent

`getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`
Modifier and Type
Method
Description
`BeanContext`
`getBeanContext()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `BeanContext` associated with this event.
`BeanContext`
`getPropagatedFrom()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `BeanContext` from which this event was propagated.
`boolean`
`isPropagated()`
Deprecated, for removal: This API element is subject to removal in a future version.
Reports whether or not this event is propagated from some other `BeanContext`.
`void`
`setPropagatedFrom(BeanContext bc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the `BeanContext` from which this event was propagated.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### children

protected Collection children
Deprecated, for removal: This API element is subject to removal in a future version.
The list of children affected by this event notification.

## Constructor Details

### BeanContextMembershipEvent

public BeanContextMembershipEvent(BeanContext bc, Collection changes)
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a BeanContextMembershipEvent

Parameters:
  `bc` - The BeanContext source
  `changes` - The Children affected
Throws:
  `NullPointerException` - if `changes` is `null`

### BeanContextMembershipEvent

public BeanContextMembershipEvent(BeanContext bc, Object[] changes)
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a BeanContextMembershipEvent

Parameters:
  `bc` - The BeanContext source
  `changes` - The Children effected
Throws:
  `NullPointerException` - if changes associated with this event are null.

## Method Details

### size

public int size()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the number of children affected by the notification.

Returns:
  the number of children affected by the notification

### contains

public boolean contains(Object child)
Deprecated, for removal: This API element is subject to removal in a future version.
Is the child specified affected by the event?

Parameters:
  `child` - the object to check for being affected
Returns:
  `true` if affected, `false` if not

### toArray

public Object[] toArray()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the array of children affected by this event.

Returns:
  the array of children affected

### iterator

public Iterator iterator()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the array of children affected by this event.

Returns:
  the array of children effected